<?php
/**
 * Test for the LoginManager class
 * ===============================
 *
 * This example sets up an authorization system using the LoginManager
 * class. You don't have to use this to use the LiveUser class(es), but
 * this way you don't need to take care of the login-process, storing
 * the user object in a session and more...
 *
 * This example is intended to be used with the DB_Medium Perm driver.
 *
 * @version $Id: area51.php,v 1.7 2003/07/22 14:34:54 lsmith Exp $
 **/
error_reporting(E_ALL);

// right definitions
define('ACCESS', 3);
define('LAUNCH_ATOMIC_BOMB', 4);
define('FLY_ALIEN_SPACE_CRAFT', 5);

// Include configuration.
require_once 'conf.php';
// Get LoginManager class definition
require_once 'LiveUser/LiveUser.php';

// The error handling stuff is not needed and used only for debugging
// while LiveUser is not yet mature
PEAR::setErrorHandling(PEAR_ERROR_CALLBACK, 'eHandler');

function eHandler($errObj)
{
    echo('<hr><font color=red>'.$errObj->getMessage().':<br>'.$errObj->getUserinfo().'</font><hr>');
}

// Create new LoginManager object
$LU = LiveUser::factory($liveuserConfig);
?>
<html>
<head>
<title>Example Area51</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body bgcolor="#FFFFFF">
<h1>Area51</h1>
<p>&nbsp;</p>
<?php
if(!$LU->isLoggedIn()) {
    $target = 'area51.php';
    include_once('loginscreen.php');
    exit();
} else {
    if (!$LU->checkRight(ACCESS)) {
        echo '<p>Hey, this is a top secret area. Access denied.</p>';
    } else {
        echo '<p>Live long and prosper, <b>'.$LU->getHandle().'</b>.</p>';
        echo '<p>You have access at the necessary level <b>'.$LU->checkRightLevel(ACCESS, 1, 0).'</b></p>';
        echo "<p>Please wait ... checking some rights ...<br>";
    
        // you can even check multiple rights with one checkright call
        if ($LU->checkRight(array(LAUNCH_ATOMIC_BOMB, FLY_ALIEN_SPACE_CRAFT))) {
            echo "OK, you're the boss. Let's take our alien space craft, launch the orbital atomic bombs and kick some ass! ;-)<br>";
            echo "(Ehm, that was just to test our right system ...)";
        } else {
            echo "Don't touch anything!";
        }
    }
}
?>
<p>&nbsp;</p>
<p align="center"><a href="area51.php?logout=1">Logout</a></p>
</body>
</html>