# $Id: demodata.sql,v 1.5 2003/07/24 09:07:28 krausbn Exp $

# Creating tables ...

CREATE TABLE liveuser_users (
user_id varchar(32) NOT NULL default '0',
handle varchar(32) NOT NULL default '',
password varchar(32) NOT NULL default '',
lastlogin datetime default NULL,
owner_user_id bigint UNSIGNED default NULL,
owner_group_id int(11) UNSIGNED default NULL,
is_active char(1) NOT NULL default 'N',
UNIQUE KEY user_id (user_id,handle),
KEY user_id_2 (user_id,handle));


CREATE TABLE liveuser_applications(
application_id INT UNSIGNED DEFAULT 0 NOT NULL,
application_define_name VARCHAR(20) NOT NULL,
PRIMARY KEY (application_id),
UNIQUE UC_application_define_name (application_define_name));


CREATE TABLE liveuser_areas(
area_id INT UNSIGNED DEFAULT 0 NOT NULL,
application_id INT UNSIGNED NOT NULL,
area_define_name VARCHAR(20) NOT NULL,
PRIMARY KEY (area_id),
UNIQUE UC_area_id (area_id),
INDEX IDX_liveuser_areas_application_id (application_id));


CREATE TABLE liveuser_rights(
right_id INT UNSIGNED DEFAULT 0 NOT NULL,
area_id INT UNSIGNED NOT NULL,
right_define_name VARCHAR(50) NOT NULL,
has_implied CHAR(1) DEFAULT 'N' NOT NULL,
has_level CHAR(1) DEFAULT 'N' NOT NULL,
has_scope CHAR(1) DEFAULT 'N' NOT NULL,
PRIMARY KEY (right_id),
UNIQUE UC_right_id (right_id),
INDEX IDX_liveuser_rights_area_id (area_id));


CREATE TABLE liveuser_right_scopes(
right_id INT UNSIGNED NOT NULL,
type TINYINT UNSIGNED DEFAULT 0 NOT NULL,
INDEX IDX_liveuser_right_scopes_right_id (right_id));


CREATE TABLE liveuser_right_implied(
right_id INT UNSIGNED NOT NULL,
implied_right_id INT UNSIGNED NOT NULL,
INDEX IDX_liveuser_right_implied_right_id (right_id),
INDEX IDX_liveuser_right_implied_implied_right_id (implied_right_id));


CREATE TABLE liveuser_languages(
language_id SMALLINT UNSIGNED DEFAULT 0 NOT NULL,
two_letter_name CHAR(2) DEFAULT NULL,
native_name VARCHAR(50) DEFAULT NULL,
PRIMARY KEY (language_id),
UNIQUE UC_language_id (language_id));


CREATE TABLE liveuser_area_names(
area_id INT UNSIGNED NOT NULL,
language_id SMALLINT UNSIGNED NOT NULL,
area_name VARCHAR(20) NOT NULL,
area_comment VARCHAR(255) DEFAULT NULL,
INDEX IDX_liveuser_area_names_area_id (area_id),
INDEX IDX_liveuser_area_names_language_id (language_id));


CREATE TABLE liveuser_perm_users(
user_id BIGINT UNSIGNED DEFAULT 0 NOT NULL,
auth_user_id VARCHAR(32) DEFAULT 0 NOT NULL,
type TINYINT UNSIGNED DEFAULT NULL,
auth_container_name VARCHAR(32) NOT NULL,
PRIMARY KEY (user_id),
UNIQUE UC_user_id (user_id));


CREATE TABLE liveuser_area_admin_areas(
area_id INT UNSIGNED NOT NULL,
user_id BIGINT UNSIGNED NOT NULL,
INDEX IDX_liveuser_area_admin_areas_area_id (area_id),
INDEX IDX_liveuser_area_admin_areas_user_id (user_id));


CREATE TABLE liveuser_userrights(
user_id BIGINT UNSIGNED NOT NULL,
right_id INT UNSIGNED NOT NULL,
right_level TINYINT UNSIGNED DEFAULT NULL,
INDEX IDX_liveuser_userrights_user_id (user_id),
INDEX IDX_liveuser_userrights_right_id (right_id));


CREATE TABLE liveuser_language_names(
language_id SMALLINT UNSIGNED NOT NULL,
native_language_id SMALLINT UNSIGNED DEFAULT 0 NOT NULL,
native_name VARCHAR(50) DEFAULT NULL,
INDEX IDX_liveuser_language_names_language_id (language_id));


CREATE TABLE liveuser_groups(
group_id INT UNSIGNED DEFAULT 0 NOT NULL,
owner_user_id BIGINT UNSIGNED NOT NULL,
owner_group_id INT UNSIGNED NOT NULL,
is_active CHAR(1) DEFAULT 'N' NOT NULL,
group_define_name VARCHAR(32) NOT NULL,
PRIMARY KEY (group_id),
UNIQUE UC_group_id (group_id),
INDEX IDX_liveuser_groups_owner_user_id (owner_user_id),
INDEX IDX_liveuser_groups_owner_group_id (owner_group_id));


CREATE TABLE liveuser_groupusers(
user_id BIGINT UNSIGNED NOT NULL,
group_id INT UNSIGNED NOT NULL,
INDEX IDX_liveuser_groupusers_user_id (user_id),
INDEX IDX_liveuser_groupusers_group_id (group_id));


CREATE TABLE liveuser_rights_names(
right_id INT UNSIGNED NOT NULL,
language_id SMALLINT UNSIGNED NOT NULL,
right_name VARCHAR(20) NOT NULL,
right_comment VARCHAR(255) DEFAULT NULL,
INDEX IDX_liveuser_rights_names_right_id (right_id),
INDEX IDX_liveuser_rights_names_language_id (language_id));


CREATE TABLE liveuser_group_subgroups(
group_id INT UNSIGNED NOT NULL,
subgroup_id INT UNSIGNED NOT NULL,
INDEX IDX_liveuser_group_subgroups_group_id (group_id),
INDEX IDX_liveuser_group_subgroups_subgroup_id (subgroup_id));


CREATE TABLE liveuser_group_names(
group_id INT UNSIGNED NOT NULL,
language_id SMALLINT UNSIGNED NOT NULL,
group_name VARCHAR(20) NOT NULL,
group_comment VARCHAR(255) DEFAULT NULL,
INDEX IDX_liveuser_group_names_group_id (group_id),
INDEX IDX_liveuser_group_names_language_id (language_id));


CREATE TABLE liveuser_application_names(
application_id INT UNSIGNED NOT NULL,
language_id SMALLINT UNSIGNED NOT NULL,
application_name VARCHAR(20) NOT NULL,
application_comment VARCHAR(255),
INDEX IDX_liveuser_application_names_application_id (application_id),
INDEX IDX_liveuser_application_names_language_id (language_id));


CREATE TABLE liveuser_grouprights(
group_id INT UNSIGNED NOT NULL,
right_id INT UNSIGNED NOT NULL,
right_level TINYINT UNSIGNED DEFAULT NULL,
INDEX IDX_liveuser_grouprights_group_id (group_id),
INDEX IDX_liveuser_grouprights_right_id (right_id));

# Dumping data for table `liveuser_users`
# Password for user "boss": test
# Password for user "hoss": bonanza
#

INSERT INTO liveuser_users (user_id, handle, password, lastlogin, owner_user_id, owner_group_id, is_active) VALUES ('c4ca4238a0b923820dcc509a6f75849b', 'boss', 'test', NULL, NULL, 1, 'Y');
INSERT INTO liveuser_users (user_id, handle, password, lastlogin, owner_user_id, owner_group_id, is_active) VALUES ('c81e728d9d4c2f636f067f89cc14862c', 'hoss', 'bonanza', NULL, 1, NULL, 'Y');

#
# Dumping data for table `liveuser_application_names`
#


#
# Dumping data for table `liveuser_applications`
#


#
# Dumping data for table `liveuser_area_admin_areas`
#


#
# Dumping data for table `liveuser_area_names`
#

INSERT INTO liveuser_area_names (area_id, language_id, area_name, area_comment) VALUES (1, 1, 'TestGebiet', 'Ein Gebiet zum testen.');
INSERT INTO liveuser_area_names (area_id, language_id, area_name, area_comment) VALUES (1, 2, 'TestArea', 'An Area for testing.');
INSERT INTO liveuser_area_names (area_id, language_id, area_name, area_comment) VALUES (2, 1, 'Area51', 'Jeder kennt dieses Gebiet.');
INSERT INTO liveuser_area_names (area_id, language_id, area_name, area_comment) VALUES (2, 2, 'Area51', 'Everybody knows this area.');
INSERT INTO liveuser_area_names (area_id, language_id, area_name, area_comment) VALUES (3, 1, 'Kaffeemaschine', 'Kaffeemaschine Typ 165-X');
INSERT INTO liveuser_area_names (area_id, language_id, area_name, area_comment) VALUES (3, 2, 'Coffeemaker', 'Coffeemaker type 165-X.');

#
# Dumping data for table `liveuser_areas`
#

INSERT INTO liveuser_areas (area_id, application_id, area_define_name) VALUES (1, 0, 'TestArea');
INSERT INTO liveuser_areas (area_id, application_id, area_define_name) VALUES (2, 0, 'Area51');
INSERT INTO liveuser_areas (area_id, application_id, area_define_name) VALUES (3, 0, 'Coffeemaker');

#
# Dumping data for table `liveuser_group_names`
#

INSERT INTO liveuser_group_names (group_id, language_id, group_name, group_comment) VALUES (1, 1, 'Dummies', 'Die Dummy-Gruppe');
INSERT INTO liveuser_group_names (group_id, language_id, group_name, group_comment) VALUES (1, 2, 'Dummies', 'The dummy group');
INSERT INTO liveuser_group_names (group_id, language_id, group_name, group_comment) VALUES (2, 1, 'Genies', 'Die wahren Genies (verkannt, aber brilliant)');
INSERT INTO liveuser_group_names (group_id, language_id, group_name, group_comment) VALUES (2, 2, 'Genies', 'The true genii (unrecognized but brilliant)');

#
# Dumping data for table `liveuser_group_subgroups`
#


#
# Dumping data for table `liveuser_grouprights`
#

INSERT INTO liveuser_grouprights (group_id, right_id, right_level) VALUES (1, 1, 1);
INSERT INTO liveuser_grouprights (group_id, right_id, right_level) VALUES (1, 2, 1);
INSERT INTO liveuser_grouprights (group_id, right_id, right_level) VALUES (1, 7, 1);
INSERT INTO liveuser_grouprights (group_id, right_id, right_level) VALUES (2, 3, 1);
INSERT INTO liveuser_grouprights (group_id, right_id, right_level) VALUES (2, 4, 1);
INSERT INTO liveuser_grouprights (group_id, right_id, right_level) VALUES (2, 5, 1);
INSERT INTO liveuser_grouprights (group_id, right_id, right_level) VALUES (2, 6, 1);
INSERT INTO liveuser_grouprights (group_id, right_id, right_level) VALUES (2, 7, 1);

#
# Dumping data for table `liveuser_groups`
#

INSERT INTO liveuser_groups (group_id, owner_user_id, owner_group_id, is_active, group_define_name) VALUES (1, 1, 1, 'Y', 'Dummies');
INSERT INTO liveuser_groups (group_id, owner_user_id, owner_group_id, is_active, group_define_name) VALUES (2, 1, 1, 'Y', 'Genies');

#
# Dumping data for table `liveuser_groupusers`
#

INSERT INTO liveuser_groupusers (user_id, group_id) VALUES (1, 1);
INSERT INTO liveuser_groupusers (user_id, group_id) VALUES (1, 2);
INSERT INTO liveuser_groupusers (user_id, group_id) VALUES (2, 1);

#
# Dumping data for table `liveuser_language_names`
#

INSERT INTO liveuser_language_names (language_id, native_language_id, native_name) VALUES (1, 1, 'German');
INSERT INTO liveuser_language_names (language_id, native_language_id, native_name) VALUES (2, 2, 'English');

#
# Dumping data for table `liveuser_languages`
#

INSERT INTO liveuser_languages (language_id, two_letter_name, native_name) VALUES (1, 'de', 'Deutsch');
INSERT INTO liveuser_languages (language_id, two_letter_name, native_name) VALUES (2, 'en', 'English');

#
# Dumping data for table `liveuser_perm_users`
#

INSERT INTO liveuser_perm_users (user_id, auth_user_id, type, auth_container_name) VALUES (1, 'c4ca4238a0b923820dcc509a6f75849b', 1, '');
INSERT INTO liveuser_perm_users (user_id, auth_user_id, type, auth_container_name) VALUES (2, 'c81e728d9d4c2f636f067f89cc14862c', 1, '');

#
# Dumping data for table `liveuser_right_implied`
#

#
# Dumping data for table `liveuser_right_scopes`
#


#
# Dumping data for table `liveuser_rights`
#

INSERT INTO liveuser_rights (right_id, area_id, right_define_name, has_implied, has_level, has_scope) VALUES (1, 1, 'READ_TESTS', 'N', 'N', 'N');
INSERT INTO liveuser_rights (right_id, area_id, right_define_name, has_implied, has_level, has_scope) VALUES (2, 1, 'WRITE_TESTS', 'N', 'N', 'N');
INSERT INTO liveuser_rights (right_id, area_id, right_define_name, has_implied, has_level, has_scope) VALUES (3, 2, 'ACCESS', 'N', 'Y', 'N');
INSERT INTO liveuser_rights (right_id, area_id, right_define_name, has_implied, has_level, has_scope) VALUES (4, 2, 'LAUNCH_ATOMIC_BOMB', 'N', 'N', 'N');
INSERT INTO liveuser_rights (right_id, area_id, right_define_name, has_implied, has_level, has_scope) VALUES (5, 2, 'FLY_ALIEN_SPACE_CRAFT', 'N', 'N', 'N');
INSERT INTO liveuser_rights (right_id, area_id, right_define_name, has_implied, has_level, has_scope) VALUES (6, 3, 'MAKE_COFFEE', 'N', 'N', 'N');
INSERT INTO liveuser_rights (right_id, area_id, right_define_name, has_implied, has_level, has_scope) VALUES (7, 3, 'DRINK_COFFEE', 'N', 'Y', 'N');

#
# Dumping data for table `liveuser_rights_names`
#

INSERT INTO liveuser_rights_names (right_id, language_id, right_name, right_comment) VALUES (1, 1, 'Lesen', 'Der Benutzer darf etwas lesen.');
INSERT INTO liveuser_rights_names (right_id, language_id, right_name, right_comment) VALUES (2, 1, 'Schreiben', 'Der Benutzer darf etwas schreiben.');
INSERT INTO liveuser_rights_names (right_id, language_id, right_name, right_comment) VALUES (3, 1, 'Zugangang', '"Sesam ffne dich"-Recht');
INSERT INTO liveuser_rights_names (right_id, language_id, right_name, right_comment) VALUES (4, 1, 'Feuer', 'Atombombe znden');
INSERT INTO liveuser_rights_names (right_id, language_id, right_name, right_comment) VALUES (5, 1, 'Lift up', 'Alien Raumschiff fliegen');
INSERT INTO liveuser_rights_names (right_id, language_id, right_name, right_comment) VALUES (6, 1, 'Kaffee machen', 'Kaffeepulver, Wasser, einschalten, warten ...');
INSERT INTO liveuser_rights_names (right_id, language_id, right_name, right_comment) VALUES (7, 1, 'Kaffee trinken', 'Ahh, Koffein');
INSERT INTO liveuser_rights_names (right_id, language_id, right_name, right_comment) VALUES (1, 2, 'Read', 'Read authority');
INSERT INTO liveuser_rights_names (right_id, language_id, right_name, right_comment) VALUES (2, 2, 'Write', 'Write something new');
INSERT INTO liveuser_rights_names (right_id, language_id, right_name, right_comment) VALUES (3, 2, 'Access', 'Open the doors');
INSERT INTO liveuser_rights_names (right_id, language_id, right_name, right_comment) VALUES (4, 2, 'Fire', 'Launch the atomic bombs');
INSERT INTO liveuser_rights_names (right_id, language_id, right_name, right_comment) VALUES (5, 2, 'Lift up', 'Let\'s fly an alian space craft');
INSERT INTO liveuser_rights_names (right_id, language_id, right_name, right_comment) VALUES (6, 2, 'Make coffee', 'coffee, water, switch it on, wait ...');
INSERT INTO liveuser_rights_names (right_id, language_id, right_name, right_comment) VALUES (7, 2, 'Drink coffee', 'Ahh, caffeine');

#
# Dumping data for table `liveuser_userrights`
#

INSERT INTO liveuser_userrights (user_id, right_id, right_level) VALUES (1, 3, 3);
INSERT INTO liveuser_userrights (user_id, right_id, right_level) VALUES (1, 7, 3);